For the complete documentation index, see llms.txt. This page is also available as Markdown.

/extract/template

This endpoint extracts the facialTemplate from a raw templateRaw. It is informative only and does not modify the database.

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

Body for the extraction request from a template

facialTemplateRawstringObrigatório

An extended token that contains biometric templates and metadata. Storing it in databases is recommended because it is persistent. It may be updated automatically if the extraction technology changes. It is encoded in base64 RFC4648.

Example: QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...
Respostas
200

The extraction result.

application/json

Biometric extraction response

facialTemplatestringOpcional

Facial biometric template, encoded in base64 RFC4648.

Example: BAEBGgFQqzQ2WO571UW5f4FF...
facialTemplateRawstringOpcional

An extended token that contains biometric templates and metadata. Storing it in databases is recommended because it is persistent. It may be updated automatically if the extraction technology changes. It is encoded in base64 RFC4648.

Example: QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...
updatedTemplateRawbooleanOpcional

If true, the templateRaw has been updated after an extraction operation. This can be used to determine whether the templateRaw must be updated in the databases.

Default: falseExample: false
post/extract/template
POST /extract/template HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 103

{
  "facialTemplateRaw": "QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...",
  "options": {
    "templateRawExtraction": false
  }
}
{
  "facialTemplate": "BAEBGgFQqzQ2WO571UW5f4FF...",
  "facialTemplateRaw": "QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...",
  "updatedTemplateRaw": false
}

Atualizado